## x48 0.6.3

=== Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/x48
pkgincludedir = $(includedir)/x48
pkglibdir = $(libdir)/x48
pkglibexecdir = $(libexecdir)/x48
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i486-pc-linux-gnu
host_triplet = i486-pc-linux-gnu
target_triplet = i486-pc-linux-gnu
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure $(top_srcdir)/rpm/x48.spec.in AUTHORS \
	COPYING ChangeLog INSTALL NEWS config.guess config.sub depcomp \
	install-sh ltmain.sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/version.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = rpm/x48.spec
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(appdefaultdir)"
DATA = $(appdefault_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DEJATOOL = $(PACKAGE)
RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
EXPECT = expect
RUNTEST = runtest
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run tar
APPDEFS_CFLAGS =  
APPDEFS_LIBS = -lXt -lX11 -lSM -lICE  
AUTOCONF = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -g -Wall
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lhistory  -lreadline
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
OBJEXT = o
PACKAGE = x48
PACKAGE_BUGREPORT = x48-bugs@gam3.net
PACKAGE_NAME = x48
PACKAGE_STRING = x48 0.6.3
PACKAGE_TARNAME = x48
PACKAGE_URL = 
PACKAGE_VERSION = 0.6.3
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.6.3
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS =  -lX11
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/fazzi/dev/x48/x48-0.6.3
abs_srcdir = /home/fazzi/dev/x48/x48-0.6.3
abs_top_builddir = /home/fazzi/dev/x48/x48-0.6.3
abs_top_srcdir = /home/fazzi/dev/x48/x48-0.6.3
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
appdefaultdir = /etc/X11/app-defaults
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = 
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i486-pc-linux-gnu
host_alias = 
host_cpu = i486
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /opt/x48/usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i486-pc-linux-gnu
target_alias = 
target_cpu = i486
target_os = linux-gnu
target_vendor = pc
top_build_prefix = 
top_builddir = .
top_srcdir = .
AUTOMAKE_OPTIONS = dejagnu
SUBDIRS = src romdump
EXTRA_DIST = rpm/x48.spec \
 debian/changelog debian/compat debian/control debian/copyright \
 debian/dirs debian/docs debian/menu debian/README.Debian debian/rules

appdefault_DATA = X48
DISTCHECK_CONFIGURE_FLAGS = --with-appdefaultdir='$${datadir}/X11/app-defaults'
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
rpm/x48.spec: $(top_builddir)/config.status $(top_srcdir)/rpm/x48.spec.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
install-appdefaultDATA: $(appdefault_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(appdefaultdir)" || $(MKDIR_P) "$(DESTDIR)$(appdefaultdir)"
	@list='$(appdefault_DATA)'; test -n "$(appdefaultdir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(appdefaultdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(appdefaultdir)" || exit $$?; \
	done

uninstall-appdefaultDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(appdefault_DATA)'; test -n "$(appdefaultdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(appdefaultdir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(appdefaultdir)" && rm -f $$files

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):

=== romdump/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# romdump/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/x48
pkgincludedir = $(includedir)/x48
pkglibdir = $(libdir)/x48
pkglibexecdir = $(libexecdir)/x48
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i486-pc-linux-gnu
host_triplet = i486-pc-linux-gnu
target_triplet = i486-pc-linux-gnu
subdir = romdump
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/version.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run tar
APPDEFS_CFLAGS =  
APPDEFS_LIBS = -lXt -lX11 -lSM -lICE  
AUTOCONF = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -g -Wall
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lhistory  -lreadline
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
OBJEXT = o
PACKAGE = x48
PACKAGE_BUGREPORT = x48-bugs@gam3.net
PACKAGE_NAME = x48
PACKAGE_STRING = x48 0.6.3
PACKAGE_TARNAME = x48
PACKAGE_URL = 
PACKAGE_VERSION = 0.6.3
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.6.3
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS =  -lX11
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/fazzi/dev/x48/x48-0.6.3/romdump
abs_srcdir = /home/fazzi/dev/x48/x48-0.6.3/romdump
abs_top_builddir = /home/fazzi/dev/x48/x48-0.6.3
abs_top_srcdir = /home/fazzi/dev/x48/x48-0.6.3
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
appdefaultdir = /etc/X11/app-defaults
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = 
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i486-pc-linux-gnu
host_alias = 
host_cpu = i486
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /opt/x48/usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i486-pc-linux-gnu
target_alias = 
target_cpu = i486
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = ROMDump.s ROMDump
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu romdump/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu romdump/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== src/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/x48
pkgincludedir = $(includedir)/x48
pkglibdir = $(libdir)/x48
pkglibexecdir = $(libexecdir)/x48
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i486-pc-linux-gnu
host_triplet = i486-pc-linux-gnu
target_triplet = i486-pc-linux-gnu
bin_PROGRAMS = x48$(EXEEXT) dump2rom$(EXEEXT) mkcard$(EXEEXT) \
	checkrom$(EXEEXT)
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/x48.man.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/version.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = x48.man
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
PROGRAMS = $(bin_PROGRAMS)
am_checkrom_OBJECTS = checkrom.$(OBJEXT) romio.$(OBJEXT)
checkrom_OBJECTS = $(am_checkrom_OBJECTS)
checkrom_LDADD = $(LDADD)
am_dump2rom_OBJECTS = dump2rom.$(OBJEXT)
dump2rom_OBJECTS = $(am_dump2rom_OBJECTS)
dump2rom_LDADD = $(LDADD)
am_mkcard_OBJECTS = mkcard.$(OBJEXT)
mkcard_OBJECTS = $(am_mkcard_OBJECTS)
mkcard_LDADD = $(LDADD)
am__objects_1 =
am_x48_OBJECTS = actions.$(OBJEXT) debugger.$(OBJEXT) device.$(OBJEXT) \
	disasm.$(OBJEXT) emulate.$(OBJEXT) errors.$(OBJEXT) \
	init.$(OBJEXT) lcd.$(OBJEXT) main.$(OBJEXT) memory.$(OBJEXT) \
	options.$(OBJEXT) register.$(OBJEXT) resources.$(OBJEXT) \
	romio.$(OBJEXT) rpl.$(OBJEXT) serial.$(OBJEXT) timer.$(OBJEXT) \
	x48_x11.$(OBJEXT) $(am__objects_1)
x48_OBJECTS = $(am_x48_OBJECTS)
am__DEPENDENCIES_1 =
x48_DEPENDENCIES = $(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(checkrom_SOURCES) $(dump2rom_SOURCES) $(mkcard_SOURCES) \
	$(x48_SOURCES)
DIST_SOURCES = $(checkrom_SOURCES) $(dump2rom_SOURCES) \
	$(mkcard_SOURCES) $(x48_SOURCES)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
man1dir = $(mandir)/man1
NROFF = nroff
MANS = $(man1_MANS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run tar
APPDEFS_CFLAGS =  
APPDEFS_LIBS = -lXt -lX11 -lSM -lICE  
AUTOCONF = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -g -Wall
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lhistory  -lreadline
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
OBJEXT = o
PACKAGE = x48
PACKAGE_BUGREPORT = x48-bugs@gam3.net
PACKAGE_NAME = x48
PACKAGE_STRING = x48 0.6.3
PACKAGE_TARNAME = x48
PACKAGE_URL = 
PACKAGE_VERSION = 0.6.3
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.6.3
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS =  -lX11
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/fazzi/dev/x48/x48-0.6.3/src
abs_srcdir = /home/fazzi/dev/x48/x48-0.6.3/src
abs_top_builddir = /home/fazzi/dev/x48/x48-0.6.3
abs_top_srcdir = /home/fazzi/dev/x48/x48-0.6.3
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
appdefaultdir = /etc/X11/app-defaults
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = 
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i486-pc-linux-gnu
host_alias = 
host_cpu = i486
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/fazzi/dev/x48/x48-0.6.3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /opt/x48/usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i486-pc-linux-gnu
target_alias = 
target_cpu = i486
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
BITMAPS = bitmaps/A.h bitmaps/B.h bitmaps/C.h bitmaps/D.h bitmaps/E.h bitmaps/F.h \
          bitmaps/G.h bitmaps/H.h bitmaps/I.h bitmaps/J.h bitmaps/K.h \
          bitmaps/L.h bitmaps/M.h bitmaps/N.h bitmaps/O.h bitmaps/P.h \
          bitmaps/Q.h bitmaps/R.h bitmaps/S.h bitmaps/T.h bitmaps/U.h \
          bitmaps/V.h bitmaps/W.h bitmaps/X.h bitmaps/Y.h bitmaps/Z.h \
          bitmaps/alpha.h bitmaps/angle.h bitmaps/angle_gx.h \
          bitmaps/ann_alpha.h bitmaps/ann_battery.h bitmaps/ann_busy.h \
          bitmaps/ann_io.h bitmaps/ann_left.h bitmaps/ann_right.h \
          bitmaps/arrow.h bitmaps/arrow_gx.h bitmaps/blank.h \
          bitmaps/bracket_gx.h bitmaps/bs.h bitmaps/colon.h \
          bitmaps/colon_gx.h bitmaps/comma.h bitmaps/comma_gx.h \
          bitmaps/curly_gx.h bitmaps/diff.h bitmaps/div.h bitmaps/down.h \
          bitmaps/equal.h bitmaps/equal_gx.h bitmaps/exp.h \
          bitmaps/exp_gx.h bitmaps/gx_128K_ram.h bitmaps/gx_green.h \
          bitmaps/gx_silver.h bitmaps/hash.h bitmaps/hash_gx.h \
          bitmaps/hp.h bitmaps/hp48_blue.h bitmaps/hp48_bottom.h \
          bitmaps/hp48_disp.h bitmaps/hp48_green_gx.h \
          bitmaps/hp48_icon.h bitmaps/hp48_keys.h bitmaps/hp48_logo.h \
          bitmaps/hp48_logo_gx.h bitmaps/hp48_on.h bitmaps/hp48_orange.h \
          bitmaps/hp48_text.h bitmaps/hp48_text_gx.h bitmaps/hp48_top.h \
          bitmaps/hp48_top_gx.h bitmaps/hp48gx.h bitmaps/hp48sx.h \
          bitmaps/integral.h bitmaps/inv.h bitmaps/last.h \
          bitmaps/lbrace.h bitmaps/lbracket.h bitmaps/lcurly.h \
          bitmaps/left.h bitmaps/menu_label.h bitmaps/minus.h \
          bitmaps/mul.h bitmaps/neg.h bitmaps/nl.h bitmaps/nl_gx.h \
          bitmaps/parens_gx.h bitmaps/pi.h bitmaps/pi_gx.h \
          bitmaps/plus.h bitmaps/pow10.h bitmaps/pow10_gx.h \
          bitmaps/power.h bitmaps/prog.h bitmaps/prog_gx.h \
          bitmaps/quote_gx.h bitmaps/rbrace.h bitmaps/rbracket.h \
          bitmaps/rcurly.h bitmaps/right.h bitmaps/root.h \
          bitmaps/root_gx.h bitmaps/science.h bitmaps/shl.h \
          bitmaps/shr.h bitmaps/sigma.h bitmaps/slash.h \
          bitmaps/small_colon.h bitmaps/sqr.h bitmaps/sqr_gx.h \
          bitmaps/sqrt.h bitmaps/string.h bitmaps/three.h bitmaps/two.h \
          bitmaps/under.h bitmaps/under_gx.h bitmaps/up.h

x48_SOURCES = actions.c debugger.c device.c \
              disasm.c emulate.c errors.c init.c \
              lcd.c main.c memory.c options.c register.c \
              resources.c romio.c rpl.c serial.c timer.c \
              x48_x11.c \
              annunc.h append.h buttons.h constants.h debugger.h \
              device.h disasm.h errors.h global.h hp48char.h hp48_emu.h \
              hp48.h hp.h icon.h mmu.h options.h resources.h romio.h rpl.h \
              small.h timer.h version.h X48.ad.h x48_x11.h \
	      $(BITMAPS)

dump2rom_SOURCES = dump2rom.c
mkcard_SOURCES = mkcard.c
checkrom_SOURCES = checkrom.c romio.c
man1_MANS = x48.man
EXTRA_DIST = $(man1_MANS) X48.ad
INCLUDES = $(X_CFLAGS)
x48_LDADD = $(X_LIBS)
all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
x48.man: $(top_builddir)/config.status $(srcdir)/x48.man.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p; \
	  then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \

=== debian/changelog ===
x48 (0.6.3) unstable; urgency=low

  * Created deb with edited 0.6.1's debian/ dir from
      http://talk.maemo.org/showpost.php?p=365032&postcount=11
  * Tarball from
      http://freshmeat.net/projects/x48
  * Patches from
      MAEMO speedup http://talk.maemo.org/showpost.php?p=365032&postcount=9
      Fonts Error http://www.oesf.org/forum/index.php?showtopic=17031
      Portrait mode http://talk.maemo.org/showpost.php?p=549573&postcount=26

 -- Marcus Fazzi (Anunakin) <anunakin@ieee.org>  Tue, 23 Set 2010 15:21:35 -0300

x48 (0.6.1) unstable; urgency=low

  * Created deb from 0.4.3's debian/ dir and tarball from
      http://talk.maemo.org/showpost.php?p=365032&postcount=9

 -- jkq <jkq3@engineering.uiuc.edu>  Tue,  3 Nov 2009 20:44:21 -0500

## x48 0.6.3-r1

=== debian/changelog ===
x48 (0.6.3-r1) unstable; urgency=low
  * postint revised

 -- Marcus Fazzi (Anunakin) <anunakin@ieee.org>  Tue, 24 Set 2010 09:08:32 -0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Detect name of new compiler, take care that debian uses amd64 instead of x86_64
CPU_SOURCE := $(subst amd64,x86_64,$(shell dpkg-architecture -qDEB_BUILD_ARCH))
CPU_TARGET := $(subst amd64,x86_64,$(shell dpkg-architecture -qDEB_HOST_ARCH))
# Fixup armel, too
CPU_SOURCE := $(subst armel,arm,$(CPU_SOURCE))
CPU_TARGET := $(subst armel,arm,$(CPU_TARGET))

ifeq ($(CPU_TARGET),arm)
CFLAGS= -O3 -mcpu=cortex-a8 -mtune=cortex-a8 -fomit-frame-pointer -fsigned-char -mfpu=neon -mfloat-abi=softfp -DALIGN_INTS -DALIGN_SHORTS -DLSB_FIRST
endif
ifeq ($(CPU_TARGET),i386)
CFLAGS= -O2 -g -Wall
endif
#CFLAGS = -Wall -g -O3 -mcpu=arm1136j-s -mtune=arm1136j-s -fomit-frame-pointer -fsigned-char -mfpu=vfp -mfloat-abi=softfp -DALIGN_INTS -DALIGN_SHORTS -DLSB_FIRST

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --prefix=/opt/x48/usr --disable-shm
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	#docbook-to-man debian/x48.sgml > x48.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cd src
	# Add here commands to install the package into debian/x48.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/x48
	
	# Portrait mode binary
	#cp $(CURDIR)/x48-portrait $(CURDIR)/debian/x48/opt/x48/usr/bin/
	
	# maemo stuff
	mkdir -p $(CURDIR)/debian/x48/opt/x48/usr/share/applications/hildon
	cp $(CURDIR)/x48.desktop $(CURDIR)/debian/x48/opt/x48/usr/share/applications/hildon
	#cp $(CURDIR)/x48v.desktop $(CURDIR)/debian/x48/opt/x48/usr/share/applications/hildon

	#Icones
	mkdir -p $(CURDIR)/debian/x48/opt/x48/usr/share/pixmaps
	cp $(CURDIR)/x48.png $(CURDIR)/debian/x48/opt/x48/usr/share/pixmaps/

	#Links simbolicos
	#checkrom  dump2rom  mkcard  x48  x48-portrait
	mkdir -p $(CURDIR)/debian/x48/usr/bin
	ln -sf /opt/x48/usr/bin/x48 $(CURDIR)/debian/x48/usr/bin/
	#ln -sf /opt/x48/usr/bin/x48-portrait $(CURDIR)/debian/x48/usr/bin/
	ln -sf /opt/x48/usr/bin/mkcard $(CURDIR)/debian/x48/usr/bin/
	ln -sf /opt/x48/usr/bin/checkrom $(CURDIR)/debian/x48/usr/bin/
	ln -sf /opt/x48/usr/bin/dump2rom $(CURDIR)/debian/x48/usr/bin/
	
	#x48.desktop   x48v.desktop
	mkdir -p $(CURDIR)/debian/x48/usr/share/applications/hildon
	ln -sf /opt/x48/usr/share/applications/hildon/x48.desktop $(CURDIR)/debian/x48/usr/share/applications/hildon/
	#ln -sf /opt/x48/usr/share/applications/hildon/x48v.desktop $(CURDIR)/debian/x48/usr/share/applications/hildon/
	
	mkdir -p $(CURDIR)/debian/x48/usr/share/pixmaps
	ln -sf /opt/x48/usr/share/pixmaps/x48.png $(CURDIR)/debian/x48/usr/share/pixmaps/

	#HP48 ROM/RAM
	#mkdir -p $(CURDIR)/debian/x48/home/user/.hp48
	#cp -r $(CURDIR)/ROM/* $(CURDIR)/debian/x48/home/user/.hp48/	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## x48 0.6.3-r2

=== debian/changelog ===
x48 (0.6.3-r2) unstable; urgency=low
  * postinst rev. 2
  * debian/rules can't add icons on N900.

 -- Marcus Fazzi (Anunakin) <anunakin@ieee.org>  Tue, 27 Set 2010 09:45:55 -0300

=== debian/control ===
Source: x48
Section: user/science
Priority: optional
Maintainer: Marcus Fazzi (Anunakin) <anunakin@ieee.org>
Build-Depends: debhelper (>= 4.0.0), xutils-dev, libreadline4-dev, libxt-dev
Standards-Version: 3.6.1

Package: x48
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a HP48 calculator emulator
 This is an emulator of the HP 48 SX and GX calculator.
 You will need a ROM dump to use it.

=== debian/rules ===
--- 
+++ 
@@ -83,8 +83,9 @@
 	
 	#x48.desktop   x48v.desktop
 	mkdir -p $(CURDIR)/debian/x48/usr/share/applications/hildon
-	ln -sf /opt/x48/usr/share/applications/hildon/x48.desktop $(CURDIR)/debian/x48/usr/share/applications/hildon/
+	mv $(CURDIR)/debian/x48/opt/x48/usr/share/applications/hildon/x48.desktop $(CURDIR)/debian/x48/usr/share/applications/hildon/
 	#ln -sf /opt/x48/usr/share/applications/hildon/x48v.desktop $(CURDIR)/debian/x48/usr/share/applications/hildon/
+	rm -rf $(CURDIR)/debian/x48/opt/x48/usr/share/applications
 	
 	mkdir -p $(CURDIR)/debian/x48/usr/share/pixmaps
 	ln -sf /opt/x48/usr/share/pixmaps/x48.png $(CURDIR)/debian/x48/usr/share/pixmaps/
@@ -102,8 +103,8 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
-	dh_installdocs
-	dh_installexamples
+#	dh_installdocs
+#	dh_installexamples
 #	dh_install
 #	dh_installmenu
 #	dh_installdebconf

## x48 0.6.3-r3

=== Makefile ===
--- 
+++ 
@@ -32,9 +32,9 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = i486-pc-linux-gnu
-host_triplet = i486-pc-linux-gnu
-target_triplet = i486-pc-linux-gnu
+build_triplet = arm-unknown-linux-gnueabi
+host_triplet = arm-unknown-linux-gnueabi
+target_triplet = arm-unknown-linux-gnueabi
 subdir = .
 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
@@ -142,7 +142,7 @@
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -O2 -g -Wall
+CFLAGS = -O3 -mcpu=cortex-a8 -mtune=cortex-a8 -fomit-frame-pointer -fsigned-char -mfpu=neon -mfloat-abi=softfp -DALIGN_INTS -DALIGN_SHORTS -DLSB_FIRST
 CPP = gcc -E
 CPPFLAGS = 
 CYGPATH_W = echo
@@ -197,22 +197,22 @@
 am__untar = ${AMTAR} xf -
 appdefaultdir = /etc/X11/app-defaults
 bindir = ${exec_prefix}/bin
-build = i486-pc-linux-gnu
+build = arm-unknown-linux-gnueabi
 build_alias = 
-build_cpu = i486
-build_os = linux-gnu
-build_vendor = pc
+build_cpu = arm
+build_os = linux-gnueabi
+build_vendor = unknown
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = i486-pc-linux-gnu
+host = arm-unknown-linux-gnueabi
 host_alias = 
-host_cpu = i486
-host_os = linux-gnu
-host_vendor = pc
+host_cpu = arm
+host_os = linux-gnueabi
+host_vendor = unknown
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
@@ -232,11 +232,11 @@
 sharedstatedir = ${prefix}/com
 srcdir = .
 sysconfdir = ${prefix}/etc
-target = i486-pc-linux-gnu
+target = arm-unknown-linux-gnueabi
 target_alias = 
-target_cpu = i486
-target_os = linux-gnu
-target_vendor = pc
+target_cpu = arm
+target_os = linux-gnueabi
+target_vendor = unknown
 top_build_prefix = 
 top_builddir = .
 top_srcdir = .
@@ -350,11 +350,3 @@
 	  else \
 	    local_target="$$target"; \
 	  fi; \
-	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
-	  || eval $$failcom; \
-	done; \
-	if test "$$dot_seen" = "no"; then \
-	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
-	fi; test -z "$$fail"
-
-$(RECURSIVE_CLEAN_TARGETS):

=== debian/changelog ===
x48 (0.6.3-r3) unstable; urgency=high
  * postinst rev. 3
  * HP48GX ROM rev. R added to package

 -- Marcus Fazzi (Anunakin) <anunakin@ieee.org>  Tue, 02 Oct 2010 13:13:15 -0300

=== debian/control ===
--- 
+++ 
@@ -10,4 +10,3 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: a HP48 calculator emulator
  This is an emulator of the HP 48 SX and GX calculator.
- You will need a ROM dump to use it.

## x48 0.6.3-r4

=== debian/changelog ===
x48 (0.6.3-r4) unstable; urgency=high
  * postinst revised.
  * x48 emulator cant locate rom.dump

 -- Marcus Fazzi (Anunakin) <anunakin@ieee.org>  Fri, 15 Oct 2010 09:34:34 -0300

=== debian/rules ===
--- 
+++ 
@@ -91,8 +91,8 @@
 	ln -sf /opt/x48/usr/share/pixmaps/x48.png $(CURDIR)/debian/x48/usr/share/pixmaps/
 
 	#HP48 ROM/RAM
-	#mkdir -p $(CURDIR)/debian/x48/home/user/.hp48
-	#cp -r $(CURDIR)/ROM/* $(CURDIR)/debian/x48/home/user/.hp48/	
+	mkdir -p $(CURDIR)/debian/x48/home/user/.hp48
+	cp -r $(CURDIR)/ROM/rom.dump $(CURDIR)/debian/x48/home/user/.hp48/	
 
 # Build architecture-independent files here.
 binary-indep: build install
